---
updatedAt: 2026-04-05T12:55:14.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get Crowd Configuration

Get the Crowd configuration.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Crowd API",
    "description": "Crowd configuration APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** All APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Crowd",
      "description": "APIs for retrieving and configuring Atlassian Crowd integration settings in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/crowd": {
      "get": {
        "tags": [
          "Crowd"
        ],
        "summary": "Get Crowd Configuration",
        "description": "Get the Crowd configuration.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "getCrowdConfiguration",
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CrowdConfiguration"
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "CrowdConfiguration": {
        "type": "object",
        "properties": {
          "enable_integration": {
            "type": "boolean"
          },
          "server_url": {
            "type": "string"
          },
          "application_name": {
            "type": "string"
          },
          "password": {
            "type": "string"
          },
          "session_validation_interval": {
            "type": "integer",
            "format": "int64"
          },
          "use_default_proxy": {
            "type": "boolean"
          },
          "auto_user_creation": {
            "type": "boolean"
          },
          "allow_user_to_access_profile": {
            "type": "boolean"
          },
          "custom_cookie_token_key": {
            "type": "string"
          },
          "direct_authentication": {
            "type": "boolean"
          },
          "override_all_groups_upon_login": {
            "type": "boolean"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```